Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text
Class LayoutQueue

    java.lang.Object
      |
      +--javax.swing.text.LayoutQueue

public class LayoutQueue
extends Object

A queue of text layout tasks.

Since:
  1.3
See Also:
  `AsyncBoxView`

Constructor Summary
`LayoutQueue()` Construct a layout queue.

Method Summary
`void` | `addTask(Runnable task)` Add a task that is not needed immediately because the results are not believed to be visible.
`static LayoutQueue` | `getDefaultQueue()` Fetch the default layout queue.
`static void` | `setDefaultQueue(LayoutQueue q)` Set the default layout queue.
`protected Runnable` | `waitForWork()` Used by the worker thread to get a new task to execute

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LayoutQueue

    public LayoutQueue()

  Construct a layout queue.

Method Detail

### getDefaultQueue

    public static LayoutQueue getDefaultQueue()

  Fetch the default layout queue.

### setDefaultQueue

    public static void setDefaultQueue(LayoutQueue q)

  Set the default layout queue.

  Parameters:
    `q` - the new queue.

### addTask

    public void addTask(Runnable task)

  Add a task that is not needed immediately because the results are not believed to be visible.

### waitForWork

    protected Runnable waitForWork()

  Used by the worker thread to get a new task to execute

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.